hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-12064) [JDK8] Update guice version to 4.0
Date Fri, 05 Jun 2015 08:47:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-12064?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14574139#comment-14574139
] 

Steve Loughran commented on HADOOP-12064:
-----------------------------------------

given this a google JAR, its probably going to break everything and be incredibly traumatic.
I'm going to flag it as incompatible as default, based on past experience

> [JDK8] Update guice version to 4.0
> ----------------------------------
>
>                 Key: HADOOP-12064
>                 URL: https://issues.apache.org/jira/browse/HADOOP-12064
>             Project: Hadoop Common
>          Issue Type: Improvement
>            Reporter: Tsuyoshi Ozawa
>            Assignee: Tsuyoshi Ozawa
>         Attachments: HADOOP-12064.001.patch
>
>
> guice 3.0 doesn't work with lambda statement. https://github.com/google/guice/issues/757
> We should upgrade it to 4.0 which includes the fix.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message